Subject: Re: bug#23092: 25.0.92; Minibuffer completion fails to resize completion window if reused during same command

From: Eli Zaretskii <[email-masked]>
Date: Tue, 22 Mar 2016 21:04:54 +0200

> From: [email-masked] (N. Jackson)
> Cc: [email-masked]
> Date: Tue, 22 Mar 2016 15:55:33 -0300
> 
> >> At this point there is still a tiny completions window with about 50
> >> completions most of which are not visible in the window.
> >
> > Press TAB repeatedly to scroll through those 50 completions.
> >
> > (I'm not saying this cannot or shouldn't be improved, I'm saying this
> > is not "impossible to use".)
> 
> That's pretty weird, but yes, it does work (in a manner of speaking).

I'm surprised you didn't know about this behavior.  It's one of the
oldest ones I remember in Emacs, a very basic feature of displaying
completions.

> However, it's interesting that with the recipe reversed, the completions
> window _does_ get resized.:
> 
>     src/emacs -Q
> 
>     C-x C-f            ; find-file
>     lib/s TAB          ; A largish completions window is shown.
>     <backspace> v TAB  ; Completions window shrinks.
> 
> So it seems that the existing implementation has logic in it for
> resizing the completions window to fit the completions but it just isn't
> working quite right. Unless the design is that the completions window
> can only be "shrunk" but not "grown".

I'm sure Martin will be able to explain this ;-)